function x = LHSU(xmin,xmax,nsample,Discrete_flag)
nvar = length(xmin);
ran = rand(nsample,nvar);
x = zeros(nsample,nvar);
for j= 1:nvar
    idx = randperm(nsample);
    if Discrete_flag(j)==0;
        P =(idx'-ran(:,j))/nsample;
        x(:,j) = xmin(j) + P.* (xmax(j)-xmin(j));
    elseif Discrete_flag(j)==1
        sample=zeros(nsample,1);
        sample_increment=(xmax(j)-xmin(j))/nsample;
        for i=1:nsample
            sample(i)= xmin(j)+sample_increment*(ran(i,j)+i-1);
            sample=round(sample);
            if sample(i)<xmin(j)+sample_increment*(i-1)
                sample(i)=sample(i)+1;
            elseif sample(i)>xmin(j)+sample_increment*i
                sample(i)=sample(i)-1;
            end
        end
        x(:,j) = sample(idx);
        
    else
        error('Discrete flag must be either 0 or 1 for all decision variables');
    end
end
