function NHV=Norm_HV(pts, all_pts)
num_objs=size(pts,2);
NadirPoint = -inf * ones(1, num_objs);
UtopiaPoint = inf * ones(1, num_objs);
MAX = max(all_pts, [], 1);
Index = find(MAX > NadirPoint);
NadirPoint(Index) = MAX(Index);
MIN = min(all_pts, [], 1);
Index = find(MIN < UtopiaPoint);
UtopiaPoint(Index) = MIN(Index);
Ref_point = ones(1, num_objs);
pts_normalized = (pts - repmat(UtopiaPoint, size(pts, 1), 1)) ./ (repmat(NadirPoint, size(pts, 1), 1) - repmat(UtopiaPoint, size(pts, 1), 1));
NHV = Hypervolume_MEX(pts_normalized, Ref_point);
