function [Updated_Label, Last_Label]=relabel1(Cluster_Label)
%
% [Updated_Label, Last_Label]=relabel1(Cluster_Label)
%
%
% This function relabels the cluster IDs. For example if Cluster_Label is a
% vector of [1 10 8 2 1 2 3 3 2 1] as input, The output
% argument Updated_Label will be returned as[1 5 4 2 1 2 3 3 2 1] in a 
% consecutive order, i.e., labels 1, 2 and 3 are unchanged and 8 and 10
% will change to 4 and 5. As well, 5 is returned as Last_Label.
%
%
%
Updated_Label=Cluster_Label;
Clstr=unique(Updated_Label);
ClstrNum=size(Clstr,1);
r=1;
if  ~isempty(unique(diff(Clstr))) && ~isequal(unique(diff(Clstr)),1)
    for i=1:ClstrNum
        if i==1 && Clstr(i)==0
            continue;
        elseif i==1 && Clstr(i)~=0
            Updated_Label(Updated_Label==Clstr(i))=r;
            r=r+1;
        else
            Updated_Label(Updated_Label==Clstr(i))=r;
            r=r+1;
        end
    end
%     Last_Label=Clstr(end);
    Last_Label=max(Updated_Label);
else
%     Last_Label=Clstr(end);
    Last_Label=max(Updated_Label);
    return;
end
